Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: Awaria gnome po aktualizacji kodeków

  1. #11

    Default Re: Awaria gnome po aktualizacji kodeków

    Repo ecsos masz dla 15.2, a przecież jest dla 15.3. Poza tym ostrożnie z tym repo. Ja też go czasami używam, ale włączam tylko do instalacji pakietu - do aktualizacji systemu musi być wyłączone, bo potrafi go uszkodzić. A potrzebuję go np. dla multibootusb który to pakiet w nim jest.

  2. #12
    Join Date
    Dec 2017
    Posts
    87
    Blog Entries
    6

    Default Re: Awaria gnome po aktualizacji kodeków

    To mam pytanie, co tu się stało?
    Code:
    2021-10-19 23:21:19|command|root@localhost.localdomain|'/usr/lib/packagekitd'|
    2021-10-19 23:21:19|remove |cheese-lang|3.34.0-2.42|noarch||
    2021-10-19 23:21:19|remove |gdm-lang|3.34.1-8.18.1|noarch||
    2021-10-19 23:21:19|remove |gnome-contacts-lang|3.34.1-1.68|noarch||
    # 2021-10-19 23:21:20 gnome-control-center-color-3.34.6-7.76.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:20|remove |gnome-control-center-color|3.34.6-7.76|x86_64||
    # 2021-10-19 23:21:20 gnome-control-center-goa-3.34.6-7.76.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:20|remove |gnome-control-center-goa|3.34.6-7.76|x86_64||
    2021-10-19 23:21:20|remove |gnome-control-center-lang|3.34.6-7.76|noarch||
    2021-10-19 23:21:20|remove |gnome-session-lang|3.34.2-6.3.1|noarch||
    # 2021-10-19 23:21:20 gnome-session-wayland-3.34.2-6.3.1.x86_64 removed ok
    # Additional rpm output:
    # update-alternatives: warning: alternative /usr/share/wayland-sessions/gnome.desktop (part of link group default-waylandsession.desktop) doesn't exist; removing from list of alternatives
    # update-alternatives: warning: /etc/alternatives/default-waylandsession.desktop is dangling; it will be updated with best choice
    # 
    2021-10-19 23:21:20|remove |gnome-session-wayland|3.34.2-6.3.1|x86_64||
    # 2021-10-19 23:21:20 gnome-shell-calendar-3.34.5-8.1.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:20|remove |gnome-shell-calendar|3.34.5-8.1|x86_64||
    # 2021-10-19 23:21:21 gnome-shell-classic-3.34.2-5.9.2.noarch removed ok
    # Additional rpm output:
    # warning: file /usr/share/wayland-sessions/default.desktop: remove failed: No such file or directory
    # update-alternatives: warning: alternative /usr/share/xsessions/sle-classic.desktop (part of link group default-xsession.desktop) doesn't exist; removing from list of alternatives
    # 
    2021-10-19 23:21:21|remove |gnome-shell-classic|3.34.2-5.9.2|noarch||
    2021-10-19 23:21:21|remove |gnome-shell-extension-gpaste|3.34.1-lp152.1.3|noarch||
    2021-10-19 23:21:21|remove |gnome-shell-lang|3.34.5-8.1|noarch||
    2021-10-19 23:21:21|remove |gnome-shell-search-provider-bijiben|3.36.1-bp153.1.26|x86_64||
    2021-10-19 23:21:21|remove |gnome-shell-search-provider-contacts|3.34.1-1.68|x86_64||
    2021-10-19 23:21:21|remove |gnome-shell-search-provider-documents|3.34.0-1.142|x86_64||
    2021-10-19 23:21:21|remove |gnome-shell-search-provider-nautilus|3.34.3-4.3.1|x86_64||
    2021-10-19 23:21:21|remove |gnome-tweaks-lang|3.34.0-3.6.1|noarch||
    2021-10-19 23:21:21|remove |gstreamer-plugins-bad-lang|1.16.3-lp153.3.3.1|noarch||
    2021-10-19 23:21:21|remove |libpurple-lang|2.13.0-10.105|noarch||
    2021-10-19 23:21:21|remove |libpurple-tcl|2.13.0-10.105|x86_64||
    # 2021-10-19 23:21:22 pidgin-2.13.0-10.105.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:22|remove |pidgin|2.13.0-10.105|x86_64||
    2021-10-19 23:21:22|remove |pulseaudio-gdm-hooks|14.2-4.2|x86_64||
    # 2021-10-19 23:21:22 cheese-3.34.0-2.42.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:22|remove |cheese|3.34.0-2.42|x86_64||
    2021-10-19 23:21:22|remove |gnome-shell-extension-desktop-icons|19.10.2-3.9.1|noarch||
    # 2021-10-19 23:21:23 gnome-contacts-3.34.1-1.68.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:23|remove |gnome-contacts|3.34.1-1.68|x86_64||
    # 2021-10-19 23:21:23 gnome-tweaks-3.34.0-3.6.1.noarch removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:23|remove |gnome-tweaks|3.34.0-3.6.1|noarch||
    2021-10-19 23:21:23|remove |libpurple|2.13.0-10.105|x86_64||
    2021-10-19 23:21:23|remove |patterns-gnome-gnome|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:23|remove |patterns-gnome-gnome_imaging|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:23|remove |patterns-gnome-gnome_office|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:23|remove |patterns-gnome-gnome_utilities|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:23|remove |libpurple-branding-openSUSE|42.2-lp153.1.30|noarch||
    2021-10-19 23:21:23|remove |patterns-gnome-gnome_x11|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:23|remove |gstreamer-plugins-farstream|0.2.8-8.32|x86_64||
    2021-10-19 23:21:24|remove |patterns-gnome-gnome_basic|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:24|remove |libfarstream-0_2-5|0.2.8-8.32|x86_64||
    2021-10-19 23:21:24|remove |patterns-gnome-gnome_basis|20180321-lp153.1.15|x86_64||
    2021-10-19 23:21:24|remove |gdm-branding-openSUSE|15.1-lp153.2.40|noarch||
    # 2021-10-19 23:21:24 gdm-3.34.1-8.18.1.x86_64 removed ok
    # Additional rpm output:
    # update-alternatives: warning: alternative /usr/lib/X11/displaymanagers/gdm (part of link group default-displaymanager) doesn't exist; removing from list of alternatives
    # update-alternatives: warning: /etc/alternatives/default-displaymanager is dangling; it will be updated with best choice
    # update-alternatives: using /usr/lib/X11/displaymanagers/lightdm to provide /usr/lib/X11/displaymanagers/default-displaymanager (default-displaymanager) in auto mode
    # 
    2021-10-19 23:21:24|remove |gdm|3.34.1-8.18.1|x86_64||
    # 2021-10-19 23:21:24 gnome-shell-3.34.5-8.1.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:24|remove |gnome-shell|3.34.5-8.1|x86_64||
    2021-10-19 23:21:24|remove |gnome-session-default-session|3.34.2-6.3.1|x86_64||
    # 2021-10-19 23:21:24 gnome-session-3.34.2-6.3.1.x86_64 removed ok
    # Additional rpm output:
    # update-alternatives: warning: alternative /usr/share/xsessions/gnome.desktop (part of link group default-xsession.desktop) doesn't exist; removing from list of alternatives
    # update-alternatives: warning: /etc/alternatives/default-xsession.desktop is dangling; it will be updated with best choice
    # update-alternatives: using /usr/share/xsessions/icewm-session.desktop to provide /usr/share/xsessions/default.desktop (default-xsession.desktop) in auto mode
    # 
    2021-10-19 23:21:24|remove |gnome-session|3.34.2-6.3.1|x86_64||
    # 2021-10-19 23:21:25 gnome-control-center-3.34.6-7.76.x86_64 removed ok
    # Additional rpm output:
    # No PulseAudio daemon running, or not running as session daemon.
    # 
    2021-10-19 23:21:25|remove |gnome-control-center|3.34.6-7.76|x86_64||
    2021-10-19 23:21:25|remove |libcheese-gtk25|3.34.0-2.42|x86_64||
    2021-10-19 23:21:25|remove |libcheese8|3.34.0-2.42|x86_64||
    2021-10-19 23:21:25|remove |gstreamer-plugins-bad|1.16.3-lp153.3.3.1|x86_64|root@localhost.localdomain|
    Czy masz te pakiety zainstalowane teraz? Sprawdź:

    Code:
    RPMS=( TESTOWY_NIE MA nie_ma cheese-lang gdm-lang gnome-contacts-lang gnome-control-center-color gnome-control-center-goa gnome-control-center-lang gnome-session-lang gnome-session-wayland gnome-shell-calendar gnome-shell-classic gnome-shell-extension-gpaste gnome-shell-lang gnome-shell-search-provider-bijiben gnome-shell-search-provider-contacts gnome-shell-search-provider-documents gnome-shell-search-provider-nautilus gnome-tweaks-lang gstreamer-plugins-bad-lang libpurple-lang libpurple-tcl pidgin pulseaudio-gdm-hooks cheese gnome-shell-extension-desktop-icons gnome-contacts gnome-tweaks libpurple patterns-gnome-gnome patterns-gnome-gnome_imaging patterns-gnome-gnome_office patterns-gnome-gnome_utilities libpurple-branding-openSUSE patterns-gnome-gnome_x11 gstreamer-plugins-farstream patterns-gnome-gnome_basic libfarstream-0_2-5 patterns-gnome-gnome_basis gdm-branding-openSUSE gdm gnome-shell gnome-session-default-session gnome-session gnome-control-center libcheese-gtk25 libcheese8 gstreamer-plugins-bad )
      
    for i in ${RPMS[@]}; do rpm -q --queryformat "%{NAME}\n" $i; done
    Last edited by pbojczuk; 07-Nov-2021 at 02:35.

  3. #13

    Default Re: Awaria gnome po aktualizacji kodeków

    po wykonaniu skryptu wypluło
    Code:
    package TESTOWY_NIE is not installedpackage MA is not installed
    package nie_ma is not installed
    package cheese-lang is not installed
    gdm-lang
    package gnome-contacts-lang is not installed
    gnome-control-center-color
    gnome-control-center-goa
    gnome-control-center-lang
    gnome-session-lang
    package gnome-session-wayland is not installed
    gnome-shell-calendar
    package gnome-shell-classic is not installed
    gnome-shell-extension-gpaste
    gnome-shell-lang
    gnome-shell-search-provider-bijiben
    package gnome-shell-search-provider-contacts is not installed
    gnome-shell-search-provider-documents
    gnome-shell-search-provider-nautilus
    package gnome-tweaks-lang is not installed
    gstreamer-plugins-bad-lang
    package libpurple-lang is not installed
    package libpurple-tcl is not installed
    package pidgin is not installed
    pulseaudio-gdm-hooks
    package cheese is not installed
    package gnome-shell-extension-desktop-icons is not installed
    package gnome-contacts is not installed
    package gnome-tweaks is not installed
    package libpurple is not installed
    package patterns-gnome-gnome is not installed
    package patterns-gnome-gnome_imaging is not installed
    package patterns-gnome-gnome_office is not installed
    package patterns-gnome-gnome_utilities is not installed
    package libpurple-branding-openSUSE is not installed
    package patterns-gnome-gnome_x11 is not installed
    package gstreamer-plugins-farstream is not installed
    package patterns-gnome-gnome_basic is not installed
    package libfarstream-0_2-5 is not installed
    package patterns-gnome-gnome_basis is not installed
    gdm-branding-openSUSE
    gdm
    gnome-shell
    gnome-session-default-session
    gnome-session
    gnome-control-center
    libcheese-gtk25
    libcheese8
    gstreamer-plugins-bad
    po zmianie repo ecsos na opensuse 15.3 chce mi usuwać niektóre pakiety z kodekami:

    Code:
    zypper dup --allow-vendor-changeRetrieving repository 'ecsos's Home Project (openSUSE_Leap_15.3)' metadata[done]
    Building repository 'ecsos's Home Project (openSUSE_Leap_15.3)' cache ....[done]
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    
    
    The following 191 packages are going to be upgraded:
      appstream-glib appstream-glib-lang augeas augeas-lenses binutils chromium
      efibootmgr faac fwupd fwupd-lang gegl-0_4 gegl-0_4-lang gmp-devel
      gnome-control-center gnome-control-center-color gnome-control-center-goa
      gnome-control-center-lang gnome-control-center-user-faces gparted gparted-lang
      gradle hplip-hpijs hplip-sane hunspell hunspell-tools javapackages-filesystem
      javapackages-tools libFAudio0 libFAudio0-32bit libSoundTouch1 libXrandr2
      libappstream-glib8 libaugeas0 libbabl-0_1-0 libbrotlicommon1 libbrotlidec1
      libbrotlienc1 libchromaprint1 libctf-nobfd0 libctf0 libdcerpc-binding0
      libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libfaac0 libfaad2
      libfreerdp2-2 libfwupd2 libgegl-0_4-0 libgmp10 libgmpxx4 libgnutls-devel
      libgnutls30 libhogweed6 libhunspell-1_7-0 libjack0 libjcat1 libjpeg8 libldb2
      libldb2-32bit libmpg123-0 libmtp-udev libmtp9 libmypaint-1_6-1 libmypaint-lang
      libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0 libndr-nbt0-32bit
      libndr-standard0 libndr-standard0-32bit libndr1 libndr1-32bit libnetapi0
      libnetapi0-32bit libnettle-devel libnettle8 libopenal1 libopenjp2-7
      libopenmpt0 libp11-kit0 libpng16-16 libpoppler-cpp0 libpoppler-glib8
      libpoppler-qt5-1 libpoppler114 libportaudio2 libraw20 libreadline8 librtmp1
      libsamba-credentials0 libsamba-credentials0-32bit libsamba-errors0
      libsamba-errors0-32bit libsamba-hostconfig0 libsamba-hostconfig0-32bit
      libsamba-passdb0 libsamba-passdb0-32bit libsamba-policy0-python3
      libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit libsmbclient0
      libsmbconf0 libsmbconf0-32bit libsmbldap2 libsmbldap2-32bit libspeechd2
      libsratom-0-0 libsuil-0-0 libtevent-util0 libtevent-util0-32bit libtwolame0
      libusb-1_0-0 libvidstab1_1 libvmaf1 libvorbis0 libvorbisenc2 libvorbisfile3
      libwbclient0 libwbclient0-32bit libwebp7 libwebpdemux2 libwebpmux3 libwinpr2-2
      libzimg2 mpg123-openal mpg123-pulse openSUSE-release openSUSE-release-dvd
      openal-soft-data openal-soft-tools optipng p11-kit-devel p11-kit-tools
      poppler-data poppler-tools python-rpm-generators python-rpm-macros
      python-sip4-common python2-apsw python2-asn1crypto python2-attrs
      python2-beautifulsoup4 python2-cssselect python2-dukpy-kovidgoyal
      python2-html5-parser python2-lxml python2-netifaces python2-pyasn1
      python2-pyasn1-modules python2-pycryptodome python2-python-dateutil
      python2-sip4 python2-six python3-Pillow python3-asn1crypto python3-cffi
      python3-cryptography python3-cssselect python3-dbus-python python3-ldb
      python3-lxml python3-ordered-set python3-packaging python3-pyOpenSSL
      python3-pyasn1 python3-pycairo python3-requests python3-setuptools
      python3-sip4 python3-six python3-speechd python3-urllib3 readline-doc samba
      samba-client samba-client-32bit samba-libs samba-libs-32bit samba-libs-python3
      samba-python3 samba-winbind samba-winbind-32bit smartmontools
      speech-dispatcher speech-dispatcher-module-espeak typelib-1_0-Fwupd-2_0
      wine-gecko winetricks
    
    
    The following product is going to be upgraded:
      openSUSE Leap 15.3  15.3-1 -> 15.3-2
    
    
    The following 5 packages are going to be downgraded:
      libXrandr2-32bit libp11-kit0-32bit p11-kit p11-kit-32bit python2-packaging
    
    
    The following 12 packages are going to change vendor:
      fwupd                
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      fwupd-lang           
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      libXrandr2-32bit     
        obs://build.opensuse.org/home:ecsos -> SUSE LLC <https://www.suse.com/>
      libfwupd2            
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      libgnutls-devel      
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      libgnutls30          
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      libjcat1             
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
      libp11-kit0-32bit    
        obs://build.opensuse.org/home:ecsos -> SUSE LLC <https://www.suse.com/>
      p11-kit              
        obs://build.opensuse.org/home:ecsos -> SUSE LLC <https://www.suse.com/>
      p11-kit-32bit        
        obs://build.opensuse.org/home:ecsos -> SUSE LLC <https://www.suse.com/>
      python2-packaging    
        obs://build.opensuse.org/home:ecsos -> SUSE LLC <https://www.suse.com/>
      typelib-1_0-Fwupd-2_0
        SUSE LLC <https://www.suse.com/> -> obs://build.opensuse.org/home:ecsos
    
    
    The following 18 NEW packages are going to be installed:
      cepces cepces-certmonger certmonger gnutls libfstrm0 libfwupdplugin4
      libgnutls-dane0 libidn2-devel libopts25 libsodium23 libunbound2 python3-cepces
      python3-pykerberos python3-requests-kerberos samba-gpupdate samba-ldb-ldap
      sscep unbound-anchor
    
    
    The following 5 packages are going to be REMOVED:
      libavcodec58 libavformat58 libavutil56 libswresample3 libswscale5
    
    
    191 packages to upgrade, 5 to downgrade, 18 new, 5 to remove, 12  to change
    vendor.
    Overall download size: 200.1 MiB. Already cached: 119.2 MiB. After the
    operation, 5.6 MiB will be freed.
    czy ta ostatnia operacja jest bezpieczna?

  4. #14
    Join Date
    Dec 2017
    Posts
    87
    Blog Entries
    6

    Default Re: Awaria gnome po aktualizacji kodeków

    Czyli Twoja sytuacja jest taka: chcesz mieć system zbudowany przede wszystkim z paczek openSUSE 15.3 plus repo ze sterami od Nvidii.

    Jak powyższe zadziała, to chciałbyś dopiero dodać kodeki z repozytoriów dodatkowych.

    Czyli dwie rzeczy masz do przetrenowania;
    a) doinstalować pakiety, których już wiesz, że Ci zabrakło.
    b) posprzątać repozytoria.

    Nie wiem w jakiej kolejności. Może zacznij od końca, czyli od a) i zobaczmy, co się stanie.

    Jeżeli nie masz ograniczeń łącza (prędkość i ilość danych), to przeinstalowywanie pakietów nie jest problemem.

  5. #15
    Join Date
    Dec 2017
    Posts
    87
    Blog Entries
    6

    Default Re: Awaria gnome po aktualizacji kodeków

    @atomas, nudziło mi się i przetrenowałem, co następuje:
    1. Zainstalowałem openSUSE 15.3
    2. Usunąłem paczki, które znalazłem u Ciebie w logach, że się usunęły:
    Code:
    cheese-lang gdm-lang gnome-contacts-lang gnome-control-center-color gnome-control-center-goa gnome-control-center-lang gnome-session-lang gnome-session-wayland gnome-shell-calendar gnome-shell-classic gnome-shell-lang gnome-shell-search-provider-bijiben gnome-shell-search-provider-contacts gnome-shell-search-provider-documents gnome-shell-search-provider-nautilus gnome-tweaks-lang gstreamer-plugins-bad-lang libpurple-lang libpurple-tcl pidgin pulseaudio-gdm-hooks cheese gnome-shell-extension-desktop-icons gnome-contacts gnome-tweaks libpurple patterns-gnome-gnome patterns-gnome-gnome_imaging patterns-gnome-gnome_office patterns-gnome-gnome_utilities libpurple-branding-openSUSE patterns-gnome-gnome_x11 gstreamer-plugins-farstream patterns-gnome-gnome_basic libfarstream-0_2-5 patterns-gnome-gnome_basis gdm-branding-openSUSE gdm gnome-shell gnome-session-default-session gnome-session gnome-control-center libcheese-gtk25 libcheese8 gstreamer-plugins-bad
    3. Zrebutowałem system, by zobaczyć to:
    https://susepaste.org/87150990
    4. Zapisałem repozytoria - możesz porównać, z czym pracowałem:
    https://susepaste.org/64159149
    5. Sprawdziłem dostępne wzorce gnome:
    Code:
    zypper se -t pattern | grep -i gnome
    6. Zainstalowałem wzorzec gnome - u mnie jest wayland:
    Code:
    zypper in -t pattern gnome
    Zwróć uwagę na pakiety, które mi to przywróciło:
    Code:
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 15 recommended packages were automatically selected:
      cheese gdm-branding-openSUSE gnome-contacts gnome-control-center-color gnome-control-center-goa gnome-session-default-session gnome-session-wayland gnome-shell-calendar gnome-shell-classic gnome-tweaks
      gstreamer-plugins-bad-lang libpurple-lang patterns-gnome-gnome_imaging patterns-gnome-gnome_utilities pidgin
    
    The following 47 NEW packages are going to be installed:
      cheese cheese-lang gdm gdm-branding-openSUSE gdm-lang gnome-contacts gnome-contacts-lang gnome-control-center gnome-control-center-color gnome-control-center-goa gnome-control-center-lang gnome-session
      gnome-session-default-session gnome-session-lang gnome-session-wayland gnome-shell gnome-shell-calendar gnome-shell-classic gnome-shell-extension-desktop-icons gnome-shell-extensions-common
      gnome-shell-extensions-common-lang gnome-shell-lang gnome-shell-search-provider-bijiben gnome-shell-search-provider-contacts gnome-shell-search-provider-documents gnome-shell-search-provider-nautilus
      gnome-tweaks gnome-tweaks-lang gstreamer-plugins-bad gstreamer-plugins-bad-lang gstreamer-plugins-farstream libcheese-gtk25 libcheese8 libfarstream-0_2-5 libpurple libpurple-branding-openSUSE libpurple-lang
      libpurple-tcl patterns-gnome-gnome patterns-gnome-gnome_basic patterns-gnome-gnome_basis patterns-gnome-gnome_imaging patterns-gnome-gnome_office patterns-gnome-gnome_utilities patterns-gnome-gnome_x11 pidgin
      pulseaudio-gdm-hooks
    
    The following 7 NEW patterns are going to be installed:
      gnome gnome_basic gnome_basis gnome_imaging gnome_office gnome_utilities gnome_x11
    
    47 new packages to install.
    Overall download size: 15.9 MiB. Already cached: 0 B. After the operation, additional 68.1 MiB will be used.
    Continue? [y/n/v/...? shows all options] (y): y
    7. Zrebutowałem maszynę i... Gnome pięknie wstało. :-)
    8. Wykonałem Twój poradnik, który miał spowodować problemy. Rzuć okiem na pakiety, które się instalują i zmieniają:
    Code:
    The following 15 packages are going to be upgraded:
      gstreamer-plugins-bad gstreamer-plugins-libav libavcodec57 libavcodec58_134 libavfilter7_110 libavformat57 libavformat58_76 libavresample4_0 libavutil55 libavutil56_70 libpostproc55_9 libswresample2
      libswresample3_9 libswscale4 libswscale5_9
    
    The following 15 packages are going to change vendor:
      gstreamer-plugins-bad    openSUSE -> http://packman.links2linux.de
      gstreamer-plugins-libav  openSUSE -> http://packman.links2linux.de
      libavcodec57             SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libavcodec58_134         openSUSE -> http://packman.links2linux.de
      libavfilter7_110         openSUSE -> http://packman.links2linux.de
      libavformat57            SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libavformat58_76         openSUSE -> http://packman.links2linux.de
      libavresample4_0         openSUSE -> http://packman.links2linux.de
      libavutil55              SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libavutil56_70           openSUSE -> http://packman.links2linux.de
      libpostproc55_9          openSUSE -> http://packman.links2linux.de
      libswresample2           SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libswresample3_9         openSUSE -> http://packman.links2linux.de
      libswscale4              SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libswscale5_9            openSUSE -> http://packman.links2linux.de
    
    The following 57 NEW packages are going to be installed:
      ffmpeg-3 gstreamer-plugins-ugly-orig-addon lame libBasicUsageEnvironment1 libIexMath-2_2-23 libImath-2_2-23 libQt5QuickControls2-5 libQt5QuickTemplates2-5 libQt5X11Extras5 libSPIRV-Tools-suse15
      libUsageEnvironment3 libavc1394-0 libavdevice57 libavfilter6 libavresample3 libcaca0 libcddb2 libchromaprint1 libdca0 libdvbpsi10 libdvdcss2 libdvdnav4 libebml5 libebur128-1 libfaad2 libfluidsynth1
      libglslang-suse9 libgroupsock30 libixml11 liblirc_client0 libliveMedia94 libmatroska7 libmodplug1 libopencore-amrnb0 libopencore-amrwb0 libplacebo43 libpostproc54 libqt5-qtgraphicaleffects
      libqt5-qtquickcontrols2 librtmp1 libschroedinger-1_0-0 libshaderc_shared1 libshine3 libshout3 libssh2-1 libtheora0 libupnp17 libva-wayland2 libvidstab1_1 libvncclient0 libvo-amrwbenc0 libx264-161 libx265-199
      libxcb-composite0 libxcb-damage0 libxvidcore4 vlc-beta
    Oraz:
    Code:
    The following 12 packages are going to be upgraded:
      gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstisoff-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgstsctp-1_0-0
      libgsturidownloader-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0
    
    The following 2 packages are going to be downgraded:
      gstreamer-plugins-ugly gstreamer-plugins-ugly-lang
    
    The following 14 packages are going to change vendor:
      gstreamer-plugins-bad-lang    openSUSE -> http://packman.links2linux.de
      gstreamer-plugins-ugly        SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      gstreamer-plugins-ugly-lang   SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
      libgstadaptivedemux-1_0-0     openSUSE -> http://packman.links2linux.de
      libgstbadaudio-1_0-0          openSUSE -> http://packman.links2linux.de
      libgstbasecamerabinsrc-1_0-0  openSUSE -> http://packman.links2linux.de
      libgstcodecparsers-1_0-0      openSUSE -> http://packman.links2linux.de
      libgstisoff-1_0-0             openSUSE -> http://packman.links2linux.de
      libgstmpegts-1_0-0            openSUSE -> http://packman.links2linux.de
      libgstphotography-1_0-0       openSUSE -> http://packman.links2linux.de
      libgstsctp-1_0-0              openSUSE -> http://packman.links2linux.de
      libgsturidownloader-1_0-0     openSUSE -> http://packman.links2linux.de
      libgstwayland-1_0-0           openSUSE -> http://packman.links2linux.de
      libgstwebrtc-1_0-0            openSUSE -> http://packman.links2linux.de
    9. Plik z aktualnym repozytorium:
    https://susepaste.org/70796370

    Dlatego:
    - usuń niepotrzebne repozytoria,
    - zaktualizuj system,
    - zainstaluj wzorzec gnome,
    - dodaj jeszcze raz te pakiety, których potrzebujesz.

    I będzie dobrze. :-)
    Last edited by pbojczuk; 16-Nov-2021 at 13:30.

  6. #16

    Unhappy Re: Awaria gnome po aktualizacji kodeków

    zaktualizoałem system i zainstalowałem pattern gnome, wykonałem jeszcze raz skrypt @pbojczuk i teraz pokazuje mi, że mam wszystkie pakiety, niestety po zmianie gdm dalej startuje inne środowisko...
    coś mam ewidentnie mocno schrzanione....

  7. #17
    Join Date
    Dec 2017
    Posts
    87
    Blog Entries
    6

    Default Re: Awaria gnome po aktualizacji kodeków

    Quote Originally Posted by atomas View Post
    niestety po zmianie gdm dalej startuje inne środowisko...
    Czy możesz wyjaśnić, co masz na myśli? Chodzi o to, że zmieniasz np. xdm na gdm (albo na odwrót)?
    Code:
    update-alternatives --list default-displaymanager
    Code:
    update-alternatives --config default-displaymanager
    czy też, że zamiast GNOME wczytujesz np KDE albo XFCE?

    Czy możesz wrzucić jakąś zrzutkę, czy zdjęcie, tego co widzisz?

  8. #18

    Default Re: Awaria gnome po aktualizacji kodeków

    Quote Originally Posted by atomas View Post
    zaktualizoałem system i zainstalowałem pattern gnome, wykonałem jeszcze raz skrypt @pbojczuk i teraz pokazuje mi, że mam wszystkie pakiety, niestety po zmianie gdm dalej startuje inne środowisko...
    coś mam ewidentnie mocno schrzanione....
    A czy ty na pewno podczas logowania masz wybrany pulpit Gnome? Na dole masz przycisk wybierania pulpitów, może ci się przestawiło i tak trzyma.

Page 2 of 2 FirstFirst 12

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •